com.datecs.linea

## Class LineaPro.BatteryInfo.Fuelgauge

- java.lang.Object
- - com.datecs.linea.LineaPro.BatteryInfo.Fuelgauge

- Enclosing class:
    LineaPro.BatteryInfo

      public class LineaPro.BatteryInfo.Fuelgauge
      extends java.lang.Object

  Represents fuel gauge battery information.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAverageCurrent()` Get average current in mA.
    `int` | `getAveragePower()` Get average power in mW.
    `int` | `getFullAvailableCapacity()` Get full available capacity in mAh.
    `int` | `getFullChargeCapacity()` Get full charge capacity in mAh.
    `float` | `getInternalTemperature()` Get internal temperature in Kelvin (K).
    `int` | `getMaxLoadCurrent()` Get max load current in mA.
    `int` | `getNominalAvailableCapacity()` Get nominal available capacity in mAh.
    `int` | `getRemainingCapacity()` Get remaining capacity in mAh.
    `int` | `getStandbyCurrent()` Get standby current in mA.
    `int` | `getStateOfCharge()` Get state of charge in %.
    `int` | `getStateOfHealth()` Get state of health in %.
    `float` | `getTemperature()` Get temperature in Kelvin (K).
    `int` | `getVoltage()` Get battery voltage level in mV.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getTemperature

          public float getTemperature()

      Get temperature in Kelvin (K).
      Returns:
        temperature.

    - #### getVoltage

          public int getVoltage()

      Get battery voltage level in mV.
      Returns:
        battery voltage level.

    - #### getNominalAvailableCapacity

          public int getNominalAvailableCapacity()

      Get nominal available capacity in mAh.
      Returns:
        nominal available capacity.

    - #### getFullAvailableCapacity

          public int getFullAvailableCapacity()

      Get full available capacity in mAh.
      Returns:
        full available capacity.

    - #### getRemainingCapacity

          public int getRemainingCapacity()

      Get remaining capacity in mAh.
      Returns:
        remaining capacity.

    - #### getFullChargeCapacity

          public int getFullChargeCapacity()

      Get full charge capacity in mAh.
      Returns:
        full charge capacity.

    - #### getAverageCurrent

          public int getAverageCurrent()

      Get average current in mA.
      Returns:
        average current.

    - #### getStandbyCurrent

          public int getStandbyCurrent()

      Get standby current in mA.
      Returns:
        standby current.

    - #### getMaxLoadCurrent

          public int getMaxLoadCurrent()

      Get max load current in mA.
      Returns:
        max load current.

    - #### getAveragePower

          public int getAveragePower()

      Get average power in mW.
      Returns:
        average power current.

    - #### getStateOfCharge

          public int getStateOfCharge()

      Get state of charge in %.
      Returns:
        state of charge.

    - #### getInternalTemperature

          public float getInternalTemperature()

      Get internal temperature in Kelvin (K).
      Returns:
        internal temperature.

    - #### getStateOfHealth

          public int getStateOfHealth()

      Get state of health in %.
      Returns:
        state of health.